# Class CIM_BGPEndpointStatistics
extends CIM_StatisticalData

This class contains statistical information for a connection on a BGPProtocolEndpoint. It is defined as a subclass of StatisticalData and associated with the Endpoint using the relationship, ElementStatisticalData.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_BGPEndpointStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class contains statistical information for a connection on a BGPProtocolEndpoint. It is defined as a subclass of StatisticalData and associated with the Endpoint using the relationship, ElementStatisticalData.
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FsmEstablishedTime | uint32 |
Description | string | This indicates how long, in seconds, this peer has been in the established state, or how long since this peer was last in the established state. It is set to zero when a new peer is configured or when the router is booted. This has the semantics of a 32-bit gauge.
Gauge | boolean | true
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerFsmEstablishedTime
Units | string | Seconds
FsmEstablishedTransitions | uint32 |
Counter | boolean | true
Description | string | This contains the total number of times that the BGP Finite State Machine has transitioned into the established state for this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerFsmEstablishedTransitions
InTotalMessages | uint32 |
Counter | boolean | true
Description | string | This is the total number of BGP messages received on this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerInTotalMessages
InUpdateElapsedTime | uint32 |
Description | string | This defines the time in seconds since the last BGP UPDATE message was received from the peer. This has the semantics of a 32-bit gauge.
Gauge | boolean | true
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerInUpdateElapsedTime
Units | string | Seconds
InUpdates | uint32 |
Counter | boolean | true
Description | string | This is the number of BGP UPDATE messages received on this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerInUpdates
OutTotalMessages | uint32 |
Counter | boolean | true
Description | string | This is the total number of BGP messages transmitted on this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerOutTotalMessages
OutUpdates | uint32 |
Counter | boolean | true
Description | string | This is the number of BGP UPDATE messages transmitted on this router's BGP connection. This is a 32-bit counter.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerOutUpdates
LastError | uint8[] |
Description | string | This contains the last error code and error subcode for this router's BGP connection. If no error has occurred, then each integer in the array is zero.
MappingStrings | string | MIB.IETF|BGP4-MIB.bgpPeerLastError

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData